Loading...
Searching...
No Matches
HaarStage64 Struct Reference

`#include </build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCVHaarObjectDetection.hpp>`

## Public Member Functions

__host__ NCVStatus | setStageThreshold (Ncv32f t)
__host__ NCVStatus | setStartClassifierRootNodeOffset (Ncv32u val)
__host__ NCVStatus | setNumClassifierRootNodes (Ncv32u val)
__host__ __device__ Ncv32f | getStageThreshold ()
__host__ __device__ Ncv32u | getStartClassifierRootNodeOffset () const
__host__ __device__ Ncv32u | getNumClassifierRootNodes () const

## Public Attributes

uint2 | _ui2

## Detailed Description

Definition at line 255 of file NCVHaarObjectDetection.hpp.

## Member Function Documentation

## getNumClassifierRootNodes()

__host__ __device__ Ncv32u HaarStage64::getNumClassifierRootNodes | ( |  | ) | const

inline

Definition at line 299 of file NCVHaarObjectDetection.hpp.

## getStageThreshold()

__host__ __device__ Ncv32f HaarStage64::getStageThreshold | ( |  | ) |

inline

Definition at line 289 of file NCVHaarObjectDetection.hpp.

## getStartClassifierRootNodeOffset()

__host__ __device__ Ncv32u HaarStage64::getStartClassifierRootNodeOffset | ( |  | ) | const

inline

Definition at line 294 of file NCVHaarObjectDetection.hpp.

## setNumClassifierRootNodes()

__host__ NCVStatus HaarStage64::setNumClassifierRootNodes | ( | Ncv32u | val | ) |

inline

Definition at line 279 of file NCVHaarObjectDetection.hpp.

## setStageThreshold()

__host__ NCVStatus HaarStage64::setStageThreshold | ( | Ncv32f | t | ) |

inline

Definition at line 263 of file NCVHaarObjectDetection.hpp.

## setStartClassifierRootNodeOffset()

__host__ NCVStatus HaarStage64::setStartClassifierRootNodeOffset | ( | Ncv32u | val | ) |

inline

Definition at line 269 of file NCVHaarObjectDetection.hpp.

## Member Data Documentation

## _ui2

uint2 HaarStage64::_ui2

Definition at line 261 of file NCVHaarObjectDetection.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCVHaarObjectDetection.hpp